# Name: Daniel Berteaud

%define name smeserver-qpsmtpd-anonymizereceived
%define version 0.1
%define release 2

Summary: qpsmtpd plugin which remove the Anonymize Received headers
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL (GNU General Public License)
Group: Mail
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-qpsmtpd-anonymizereceived-0.1-dont_add_username.patch
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
Plugin which remove the login name on Reveived header


%changelog
* Sat Feb 24 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-2.sme
- Only add smtp username if there's one

* Thu Feb 23 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- initial release

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
